Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# LineNodePath Class Reference

Inherits pandac::PandaModules::NodePath.

List of all members.

## Public Member Functions
def | __init__
def | create
def | drawArrow
def | drawArrow2d
def | drawLines
def | drawTo
def | getCurrentPosition
def | getNumVertices
def | getVertex
def | getVertexColor
def | isEmpty
def | moveTo
def | reset
def | setColor
def | setThickness
def | setVertex
def | setVertexColor
## Public Attributes
| lineNode
| lineSegs

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | name = `None`,
|  |  | thickness = `1.0`,
|  |  | colorVec = `VBase4(1)`
| ) |  |

## Member Function Documentation

def create | ( |  | self,
|  |  | frameAccurate = `0`
| ) |  |

def drawArrow | ( |  | self,
|  |  | sv,
|  |  | ev,
|  |  | arrowAngle,
|  |  | arrowLength
| ) |  |

    Do the work of moving the cursor around to draw an arrow from
    sv to ev. Hack: the arrows take the z value of the end point

def drawArrow2d | ( |  | self,
|  |  | sv,
|  |  | ev,
|  |  | arrowAngle,
|  |  | arrowLength
| ) |  |

    Do the work of moving the cursor around to draw an arrow from
    sv to ev. Hack: the arrows take the z value of the end point

def drawLines | ( |  | self,
|  |  | lineList
| ) |  |

    Given a list of lists of points, draw a separate line for each list

def drawTo | ( |  | self,
|  |  | _args
| ) |  |

def getCurrentPosition | ( |  | self | ) |

def getNumVertices | ( |  | self | ) |

def getVertex | ( |  | self,
|  |  | index
| ) |  |

def getVertexColor | ( |  | self | ) |

def isEmpty | ( |  | self | ) |

def moveTo | ( |  | self,
|  |  | _args
| ) |  |

def reset | ( |  | self | ) |

def setColor | ( |  | self,
|  |  | _args
| ) |  |

def setThickness | ( |  | self,
|  |  | thickness
| ) |  |

def setVertex | ( |  | self,
|  |  | _args
| ) |  |

def setVertexColor | ( |  | self,
|  |  | vertex,
|  |  | _args
| ) |  |

## Member Data Documentation

lineNode

lineSegs

All Classes Namespaces Functions Variables Enumerations Enumerator Properties